GDB (xrefs)

Public Attributes | List of all members
xtensa_windowed_frame_cache Struct Reference

## Public Attributes
int | wb
int | callsize
int | ws
CORE_ADDR | aregs [XTENSA_NUM_SAVED_AREGS]

## Detailed Description

Definition at line 919 of file xtensa-tdep.c.

## Member Data Documentation

## ◆ aregs

CORE_ADDR xtensa_windowed_frame_cache::aregs[XTENSA_NUM_SAVED_AREGS]

Definition at line 930 of file xtensa-tdep.c.

Referenced by xtensa_alloc_frame_cache(), xtensa_frame_cache(), xtensa_frame_prev_register(), and xtensa_window_interrupt_frame_cache().

## ◆ callsize

int xtensa_windowed_frame_cache::callsize

Definition at line 922 of file xtensa-tdep.c.

Referenced by xtensa_alloc_frame_cache(), xtensa_frame_cache(), and xtensa_window_interrupt_frame_cache().

## ◆ wb

int xtensa_windowed_frame_cache::wb

Definition at line 921 of file xtensa-tdep.c.

Referenced by xtensa_alloc_frame_cache(), xtensa_frame_cache(), xtensa_frame_prev_register(), and xtensa_window_interrupt_frame_cache().

## ◆ ws

int xtensa_windowed_frame_cache::ws

Definition at line 923 of file xtensa-tdep.c.

Referenced by xtensa_alloc_frame_cache(), xtensa_frame_cache(), xtensa_frame_prev_register(), and xtensa_window_interrupt_frame_cache().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/xtensa-tdep.c